### Method

# Camel MimeParser init_with_input_stream

since: 3.12

#### Declaration [src]

    void
    camel_mime_parser_init_with_input_stream (
      CamelMimeParser* parser,
      GInputStream* input_stream
    )

#### Description [src]

Initialize the scanner with `input_stream`. The scanner’s offsets will be relative to the current file position of the stream. As a result, seekable streams should only be seeked using the parser seek function.

Available since: 3.12

#### Parameters

`input_stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the method.